#pragma once
#include <string>

/**
	余氯分析类
*/
class CivResidualChlorineAnalysis
{
public:
	/**
	* @brief 余氯分析构造函数
	* @param [uri] 数据库链接地址
	* @param [startTime] 开始时刻
	* @param [endTime] 结束时刻
	*/
	CivResidualChlorineAnalysis(const std::string& uri,const std::string& startTime,const std::string& endTime);


	bool analysisChlorine();

	/**
	返回错误信息
	*/
	std::string lastError() const { return mLastError; }
private:
	/**
		转inp文件
	*/
	bool convertToInp();

private:
	std::string mUri;
	std::string mStartTime;
	std::string mEndTile;

	std::string mLastError;
};
